Subject: dput-ng now ignores default_host_main config setting

From: nicoo <[email-masked]>
Date: Sun, 23 Feb 2020 16:08:58 +0100

Package: dput-ng
Version: 1.29
Severity: important

Dear maintainers,

Since the latest dput-ng version, dput now ignores default_host_main, attempting
to use FTP for uploads (which fails on the hotel network I'm currently on...) :

> $ head -n13 ~/.dput.cf
> [DEFAULT]
> default_host_main	= ssh-upload
> 
> # https://lists.debian.org/debian-devel-announce/2008/09/msg00007.html
> [ssh-upload]
> login                  = *
> fqdn                   = ssh.upload.debian.org
> method                 = scp
> incoming               = /srv/upload.debian.org/UploadQueue/
> allow_dcut             = 1
> # Please, upload your package to the proper archive
> # https://www.debian.org/doc/manuals/developers-reference/pkgs.html#bug-security-upload
> allowed_distributions  = (?!UNRELEASED|.*-security)

> $ dput /opt/deb/buildarea/libfido2_1.3.1-1_source.changes  
> Uploading libfido2 using ftp to ftp-master (host: ftp.upload.debian.org; directory: /pub/UploadQueue/)
> running allowed-distribution: check whether a local profile permits uploads to the target distribution
> running protected-distribution: warn before uploading to distributions where a special policy applies
> running checksum: verify checksums before uploading
> running suite-mismatch: check the target distribution for common errors
> running gpg: check GnuPG signatures before the upload
> Could not establish FTP connection to ftp.upload.debian.org: [Errno 101] Network is unreachable

> $ dput ssh-upload /opt/deb/buildarea/libfido2_1.3.1-1_source.changes
> Uploading libfido2 using scp to ssh-upload (host: ssh.upload.debian.org; directory: /srv/upload.debian.org/UploadQueue/)
> running allowed-distribution: check whether a local profile permits uploads to the target distribution
> running protected-distribution: warn before uploading to distributions where a special policy applies
> running checksum: verify checksums before uploading
> running suite-mismatch: check the target distribution for common errors
> running gpg: check GnuPG signatures before the upload
> SCP is deprecated. Please consider upgrading to SFTP.
> Uploading libfido2_1.3.1-1.dsc
> Uploading libfido2_1.3.1.orig.tar.gz
> Uploading libfido2_1.3.1-1.debian.tar.xz
> Uploading libfido2_1.3.1-1_amd64.buildinfo
> Uploading libfido2_1.3.1-1_source.changes

Given that I didn't notice any related item in the changelog, I assume this is
an accidental regression.

Best,

  nicoo

- -- System Information:
Debian Release: bullseye/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 5.4.0-4-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages dput-ng depends on:
ii  python3       3.7.5-3
ii  python3-dput  1.29

dput-ng recommends no packages.

Versions of packages dput-ng suggests:
pn  dput-ng-doc      <none>
pn  python3-twitter  <none>

- -- no debconf information